Update to angular 4.0.2


#1

I have recently updated my ionic /ionic cli.
ionic -v => 3.1.2
I would like to use an external library who is asking for angular 4.0.2
Ours is 4.0.0
Should I do that? How can I do that?
When the time will come what I need to do? ionic update or npm update?
I’m a little lost in the packaging system… If you know what will be the normal process to update my libraries, that would be great
Bonus question: should I care of updating cordova time to time?


#2

Ionic CLI != Ionic-Angular

If you want to use Angular 4.x you have to update your Ionic app to Ionic 3.x: Guide: How to update to Ionic 3.X


#3

Thank, I do that immediately
But on this page i presume its for ionic2 users.
I have ionic 3.0.1
There is no way to simply update (in your instructions I have to change the package.json manually)
That is no difficult, I just ask to be sure and for next time, that feel strange to proceed like that for minor version update.

Tu be exact I have:
Ionic Framework: 3.0.1
Ionic App Scripts: 1.3.0
Angular Core: 4.0.0
Angular Compiler CLI: 4.0.0


#4

The latest supported Angular version is 4.1 so you should update to Ionic 3.2.1